package com.ruoyi.oa.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 合同开票对象 cmc_contract_invoice
 * 
 * @author cmc
 * @date 2025-07-23
 */
public class CmcContractInvoice extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 开票id */
    private Integer invoiceId;

    /** 合同id */
    @Excel(name = "合同id")
    private String contractId;

    /** 开票比例 */
    @Excel(name = "开票比例")
    private String invoicePercentage;

    /** 开票金额 */
    @Excel(name = "开票金额")
    private BigDecimal invoiceAmount;

    /** 开票时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开票时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date invoiceTime;

    public void setInvoiceId(Integer invoiceId) 
    {
        this.invoiceId = invoiceId;
    }

    public Integer getInvoiceId() 
    {
        return invoiceId;
    }
    public void setContractId(String contractId) 
    {
        this.contractId = contractId;
    }

    public String getContractId() 
    {
        return contractId;
    }
    public void setInvoicePercentage(String invoicePercentage) 
    {
        this.invoicePercentage = invoicePercentage;
    }

    public String getInvoicePercentage() 
    {
        return invoicePercentage;
    }
    public void setInvoiceAmount(BigDecimal invoiceAmount) 
    {
        this.invoiceAmount = invoiceAmount;
    }

    public BigDecimal getInvoiceAmount() 
    {
        return invoiceAmount;
    }
    public void setInvoiceTime(Date invoiceTime) 
    {
        this.invoiceTime = invoiceTime;
    }

    public Date getInvoiceTime() 
    {
        return invoiceTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("invoiceId", getInvoiceId())
            .append("contractId", getContractId())
            .append("invoicePercentage", getInvoicePercentage())
            .append("invoiceAmount", getInvoiceAmount())
            .append("invoiceTime", getInvoiceTime())
            .append("remark", getRemark())
            .toString();
    }
}
